System.ServiceModel 4.0.0.0 System.ServiceModel.WSHttpBindingBase

The is similar to the but provides more Web service features. It uses the HTTP transport and provides message security, as does , but it also provides transactions, reliable messaging, and WS-Addressing, either enabled by default or available through a single control setting.

Represents an interoperable binding that supports distributed transactions and secure, reliable sessions.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class with a specified type of security used by the binding.

- Constructor
  4.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class with a binding specified by its configuration name.

- Constructor
  4.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class with a specified type of security used by the binding and a value that indicates whether a reliable session is enabled.

  true if a reliable session is enabled; otherwise, false.
- Property
  4.0.0.0
  System.Boolean To be added.

  Setting to true is useful when a client is interacting with one web service that uses cookies. If you are accessing multiple services with the same cookie, set to false and you will have to manually add the cookie header to each outgoing message. The following code shows how to do this:

  `MyWebServiceClient client = new MyWebServiceClient(); using (new OperationContextScope(client.InnerChannel)) { client.DoSomething(); // Extract the cookie embedded in the received web service response // and stores it locally HttpResponseMessageProperty response = (HttpResponseMessageProperty) OperationContext.Current.IncomingMessageProperties[ HttpResponseMessageProperty.Name]; sharedCookie = response.Headers["Set-Cookie"]; } MyOtherWebServiceClient otherClient = new MyOtherWebServiceClient(); using (new OperationContextScope(otherClient.InnerChannel)) { // Embeds the extracted cookie in the next web service request // Note that we manually have to create the request object since // since it doesn't exist yet at this stage HttpRequestMessageProperty request = new HttpRequestMessageProperty(); request.Headers["Cookie"] = sharedCookie; OperationContext.Current.OutgoingMessageProperties[ HttpRequestMessageProperty.Name] = request; otherClient.DoSomethingElse(); }`

  Gets or sets a value that indicates whether the WCF client will automatically store and resend any cookies sent by a single web service.

- Method
  4.0.0.0
  System.ServiceModel.Channels.BindingElementCollection

  The order of the binding elements is important. It reflects the order in which the protocol and transport channels are constructed and stacked.

  Returns an ordered collection of binding elements contained in the current binding.

  The that contains the ordered stack of binding elements described by the binding.

- Method
  4.0.0.0
  System.ServiceModel.Channels.SecurityBindingElement To be added.

  Returns the security binding element from the current binding.

  A from the current binding.

- Method
  4.0.0.0
  System.ServiceModel.Channels.TransportBindingElement To be added.

  Returns the transport binding element from the current binding.

  The from the current binding.

- Property
  4.0.0.0
  System.ServiceModel.WSHttpSecurity To be added.

  To use something other than the default security type, use the constructor.

  Gets the security settings used with this binding.